<?php

namespace Logging\Kernel;

use Illuminate\Support\ServiceProvider;
use Logging\Kernel\KernelService as KernelKernelService;

class KernelServiceProvider extends ServiceProvider
{
    public function register()
    {
        $this->app->singleton('kernelservice', function () {
            return new KernelKernelService;
        });
    }

    public function boot()
    {
        // Optional: auto validation can go here
    }
}
